#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(lttng_metadata_channel_destroy, 0x1f35f862, "_gpl");
SYMBOL_CRC(lttng_transport_register, 0x172773b5, "_gpl");
SYMBOL_CRC(lttng_transport_unregister, 0x45f84c96, "_gpl");
SYMBOL_CRC(lttng_counter_transport_register, 0x1f8abc61, "_gpl");
SYMBOL_CRC(lttng_counter_transport_unregister, 0x31983c54, "_gpl");
SYMBOL_CRC(lttng_dynamic_len_stack, 0x93401731, "_gpl");
SYMBOL_CRC(lttng_kernel_probe_register, 0x1bb6ee62, "_gpl");
SYMBOL_CRC(lttng_kernel_probe_unregister, 0xaec68d61, "_gpl");
SYMBOL_CRC(lttng_event_desc_get, 0xdf07271a, "_gpl");
SYMBOL_CRC(lttng_event_desc_put, 0x2654dd01, "_gpl");
SYMBOL_CRC(lttng_kernel_find_context, 0x1f2f365a, "_gpl");
SYMBOL_CRC(lttng_kernel_get_context_index, 0x5b6b2ddf, "_gpl");
SYMBOL_CRC(lttng_kernel_get_context_field_from_index, 0x1263e923, "_gpl");
SYMBOL_CRC(lttng_add_pid_to_ctx, 0x6ec434b5, "_gpl");
SYMBOL_CRC(lttng_add_procname_to_ctx, 0xdc884f17, "_gpl");
SYMBOL_CRC(lttng_add_prio_to_ctx, 0x2183e0f5, "_gpl");
SYMBOL_CRC(lttng_add_nice_to_ctx, 0x41d87ac6, "_gpl");
SYMBOL_CRC(lttng_add_vpid_to_ctx, 0x79c342ca, "_gpl");
SYMBOL_CRC(lttng_add_tid_to_ctx, 0x5b4df4ac, "_gpl");
SYMBOL_CRC(lttng_add_vtid_to_ctx, 0x4c4a82d3, "_gpl");
SYMBOL_CRC(lttng_add_ppid_to_ctx, 0xd7868e1c, "_gpl");
SYMBOL_CRC(lttng_add_vppid_to_ctx, 0x114e3b99, "_gpl");
SYMBOL_CRC(lttng_add_cpu_id_to_ctx, 0x7eb90eae, "_gpl");
SYMBOL_CRC(lttng_add_uid_to_ctx, 0xe4dcb371, "_gpl");
SYMBOL_CRC(lttng_add_euid_to_ctx, 0x793f2b9b, "_gpl");
SYMBOL_CRC(lttng_add_suid_to_ctx, 0xad01b55d, "_gpl");
SYMBOL_CRC(lttng_add_gid_to_ctx, 0xbb18552b, "_gpl");
SYMBOL_CRC(lttng_add_egid_to_ctx, 0x26fbcdc1, "_gpl");
SYMBOL_CRC(lttng_add_sgid_to_ctx, 0xf2c55307, "_gpl");
SYMBOL_CRC(lttng_add_vuid_to_ctx, 0x08912c05, "_gpl");
SYMBOL_CRC(lttng_add_veuid_to_ctx, 0x2ebbd321, "_gpl");
SYMBOL_CRC(lttng_add_vsuid_to_ctx, 0xfa854de7, "_gpl");
SYMBOL_CRC(lttng_add_vgid_to_ctx, 0x5755ca5f, "_gpl");
SYMBOL_CRC(lttng_add_vegid_to_ctx, 0x717f357b, "_gpl");
SYMBOL_CRC(lttng_add_vsgid_to_ctx, 0xa541abbd, "_gpl");
SYMBOL_CRC(lttng_add_interruptible_to_ctx, 0xcabc5625, "_gpl");
SYMBOL_CRC(lttng_add_need_reschedule_to_ctx, 0xc6175eab, "_gpl");
SYMBOL_CRC(lttng_add_hostname_to_ctx, 0xd7a48663, "_gpl");
SYMBOL_CRC(lttng_add_callstack_to_ctx, 0xde62854f, "_gpl");
SYMBOL_CRC(lttng_id_tracker_lookup, 0xfbf4a533, "_gpl");
SYMBOL_CRC(lttng_strlen_user_inatomic, 0xce58fba5, "_gpl");
SYMBOL_CRC(lttng_add_cgroup_ns_to_ctx, 0xf74e4843, "_gpl");
SYMBOL_CRC(lttng_add_ipc_ns_to_ctx, 0x1513b926, "_gpl");
SYMBOL_CRC(lttng_add_mnt_ns_to_ctx, 0x5ff95fc4, "_gpl");
SYMBOL_CRC(lttng_add_net_ns_to_ctx, 0xc0988b14, "_gpl");
SYMBOL_CRC(lttng_add_pid_ns_to_ctx, 0x9bac1468, "_gpl");
SYMBOL_CRC(lttng_add_user_ns_to_ctx, 0xbacdfa63, "_gpl");
SYMBOL_CRC(lttng_add_uts_ns_to_ctx, 0x51894fa1, "_gpl");
SYMBOL_CRC(lttng_add_time_ns_to_ctx, 0xcc6b2b23, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x67922c2d, "lttng_kretprobes_destroy_private" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x340afb51, "tracepoint_probe_unregister" },
	{ 0xb90409dd, "get_user_pages_fast" },
	{ 0x893b43ac, "lib_ring_buffer_put_current_record" },
	{ 0xe07d488f, "try_module_get" },
	{ 0x759efa4b, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5abaf04d, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7bfd64a8, "lib_ring_buffer_open" },
	{ 0xe4395222, "lttng_kretprobes_event_enable_state" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x43b14164, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7c92bb5b, "perf_event_create_kernel_counter" },
	{ 0x4f036549, "lttng_kprobes_destroy_event_notifier_private" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xdeb9348e, "task_active_pid_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xefa2c27d, "register_tracepoint_module_notifier" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa77de0d0, "irq_work_queue" },
	{ 0xcc084d1c, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x554e711b, "lib_ring_buffer_ioctl" },
	{ 0xa37f0ac3, "lttng_kprobes_register_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x261814aa, "pcpu_hot" },
	{ 0xdc164e7b, "seq_lseek" },
	{ 0xe66082b, "__put_devmap_managed_page_refs" },
	{ 0x5a45dd6c, "proc_create_data" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xeb660875, "kmem_cache_create" },
	{ 0xbc072131, "lttng_clock_unref" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6ea2c871, "lttng_uprobes_destroy_event_private" },
	{ 0x7f91c7fd, "lttng_cpuhp_rb_frontend_dead" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x84d63120, "wrapper_get_bootid" },
	{ 0xa916b694, "strnlen" },
	{ 0x37f85cb1, "kmalloc_node_trace" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcaf27597, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x17e5765c, "lib_ring_buffer_switch_slow" },
	{ 0xd133af02, "module_put" },
	{ 0xdc42dbc4, "lib_ring_buffer_compat_ioctl" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x52f30bf0, "lttng_clock_ref" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbda22c24, "__task_pid_nr_ns" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24bc40ac, "fput" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x18a4f7a4, "lib_ring_buffer_mmap" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6c0b7c82, "lttng_uprobes_unregister_event" },
	{ 0x457663cb, "lttng_cpuhp_rb_frontend_online" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd76b2cb0, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0xc677147e, "lttng_last_tsc" },
	{ 0x77b8afa5, "lttng_kretprobes_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x29483233, "lttng_statedump_start" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1e97e0f4, "lttng_kprobes_unregister_event" },
	{ 0x80f684bf, "lib_ring_buffer_release" },
	{ 0x4e714e9b, "lttng_rb_set_hp_online" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x356b81c0, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x986b778c, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x589788b1, "wrapper_get_pfnblock_flags_mask_init" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8ffb153a, "pv_ops" },
	{ 0xdd969597, "seq_read" },
	{ 0x6705c62b, "irq_work_sync" },
	{ 0x999e8297, "vfree" },
	{ 0x982f3a73, "vfs_lib_ring_buffer_no_llseek" },
	{ 0xec4be888, "lib_ring_buffer_file_operations" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xe55047a8, "init_user_ns" },
	{ 0x2c5add15, "lib_ring_buffer_get_next_record" },
	{ 0x2776a3e5, "lib_ring_buffer_nesting" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x286d95d7, "lib_ring_buffer_switch_remote" },
	{ 0x7c6f5a44, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa851f63e, "remove_proc_entry" },
	{ 0x3c27a405, "lib_ring_buffer_set_quiescent_channel" },
	{ 0x40985489, "seq_printf" },
	{ 0xcb496d9b, "__lib_ring_buffer_copy_to_user" },
	{ 0x55ef26d6, "lttng_uprobes_event_add_callsite" },
	{ 0x6947ad4, "lttng_uprobes_register_event_notifier" },
	{ 0x7dda30af, "unregister_tracepoint_module_notifier" },
	{ 0x6a02118, "lttng_kprobes_register_event_notifier" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0x7ca5d23e, "lttng_uprobes_unregister_event_notifier" },
	{ 0xd1bab0d0, "lttng_trace_clock" },
	{ 0x2c8748b7, "lttng_cpuhp_rb_iter_online" },
	{ 0xca4a249d, "lttng_kprobes_unregister_event_notifier" },
	{ 0xd7f06759, "lttng_rb_set_hp_prepare" },
	{ 0x30c4cd53, "lttng_kretprobes_unregister" },
	{ 0x1fe26ae1, "seq_open" },
	{ 0x3be6ab14, "lib_ring_buffer_clear_quiescent_channel" },
	{ 0x256e8707, "from_kuid_munged" },
	{ 0x837c54d4, "kmalloc_trace" },
	{ 0x5c601bf7, "lttng_cpuhp_rb_frontend_offline" },
	{ 0xfe744e8f, "perf_event_release_kernel" },
	{ 0x8d7771f9, "lib_ring_buffer_splice_read" },
	{ 0x754d539c, "strlen" },
	{ 0xe164b3e8, "lttng_cpuhp_rb_backend_prepare" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf9db590f, "lttng_kprobes_destroy_event_private" },
	{ 0xcda3ddb0, "lttng_uprobes_destroy_event_notifier_private" },
	{ 0x3625bfa5, "for_each_kernel_tracepoint" },
	{ 0xd1c76893, "wrapper_kallsyms_lookup_name" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x25f065e9, "lttng_uprobes_register_event" },
	{ 0x17bcf262, "kmalloc_caches" },
	{ 0x553d44a7, "tracepoint_probe_register" },
	{ 0x8c48db4, "kmem_cache_destroy" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "lttng-kretprobes,lttng-lib-ring-buffer,lttng-kprobes,lttng-clock,lttng-uprobes,lttng-wrapper,lttng-statedump");


MODULE_INFO(srcversion, "FC0B93B48A1DE9C6E4470E7");

MODULE_INFO(suserelease, "ALP-0.1");
