#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(lttng_metadata_channel_destroy, 0x11b10680, "_gpl");
SYMBOL_CRC(lttng_transport_register, 0x85e5aa5e, "_gpl");
SYMBOL_CRC(lttng_transport_unregister, 0xc2254675, "_gpl");
SYMBOL_CRC(lttng_counter_transport_register, 0x93010d7e, "_gpl");
SYMBOL_CRC(lttng_counter_transport_unregister, 0x53203a19, "_gpl");
SYMBOL_CRC(lttng_dynamic_len_stack, 0x93401731, "_gpl");
SYMBOL_CRC(lttng_kernel_probe_register, 0x347a534d, "_gpl");
SYMBOL_CRC(lttng_kernel_probe_unregister, 0xb1e3b451, "_gpl");
SYMBOL_CRC(lttng_event_desc_get, 0x2449ee2b, "_gpl");
SYMBOL_CRC(lttng_event_desc_put, 0xdaf3d4fa, "_gpl");
SYMBOL_CRC(lttng_kernel_find_context, 0x1be7a4e4, "_gpl");
SYMBOL_CRC(lttng_kernel_get_context_index, 0xaf73bc5b, "_gpl");
SYMBOL_CRC(lttng_kernel_get_context_field_from_index, 0xa0e75335, "_gpl");
SYMBOL_CRC(lttng_add_pid_to_ctx, 0x27824897, "_gpl");
SYMBOL_CRC(lttng_add_procname_to_ctx, 0x16ca4753, "_gpl");
SYMBOL_CRC(lttng_add_prio_to_ctx, 0xaee303c1, "_gpl");
SYMBOL_CRC(lttng_add_nice_to_ctx, 0x646a0db4, "_gpl");
SYMBOL_CRC(lttng_add_vpid_to_ctx, 0xb2743aa6, "_gpl");
SYMBOL_CRC(lttng_add_tid_to_ctx, 0x8d9e6bd5, "_gpl");
SYMBOL_CRC(lttng_add_vtid_to_ctx, 0x186819e4, "_gpl");
SYMBOL_CRC(lttng_add_ppid_to_ctx, 0xf69f256f, "_gpl");
SYMBOL_CRC(lttng_add_vppid_to_ctx, 0xeb16ea09, "_gpl");
SYMBOL_CRC(lttng_add_cpu_id_to_ctx, 0x0f994954, "_gpl");
SYMBOL_CRC(lttng_add_uid_to_ctx, 0xbc6e9839, "_gpl");
SYMBOL_CRC(lttng_add_euid_to_ctx, 0x64bcc358, "_gpl");
SYMBOL_CRC(lttng_add_suid_to_ctx, 0xca34d972, "_gpl");
SYMBOL_CRC(lttng_add_gid_to_ctx, 0x9742004f, "_gpl");
SYMBOL_CRC(lttng_add_egid_to_ctx, 0x4f905b2e, "_gpl");
SYMBOL_CRC(lttng_add_sgid_to_ctx, 0xe1184104, "_gpl");
SYMBOL_CRC(lttng_add_vuid_to_ctx, 0x436481d7, "_gpl");
SYMBOL_CRC(lttng_add_veuid_to_ctx, 0x23f1063e, "_gpl");
SYMBOL_CRC(lttng_add_vsuid_to_ctx, 0x8d791c14, "_gpl");
SYMBOL_CRC(lttng_add_vgid_to_ctx, 0x684819a1, "_gpl");
SYMBOL_CRC(lttng_add_vegid_to_ctx, 0x08dd9e48, "_gpl");
SYMBOL_CRC(lttng_add_vsgid_to_ctx, 0xa6558462, "_gpl");
SYMBOL_CRC(lttng_add_interruptible_to_ctx, 0xd1794634, "_gpl");
SYMBOL_CRC(lttng_add_need_reschedule_to_ctx, 0x35d4713f, "_gpl");
SYMBOL_CRC(lttng_add_hostname_to_ctx, 0x5899c838, "_gpl");
SYMBOL_CRC(lttng_add_callstack_to_ctx, 0xa56d6451, "_gpl");
SYMBOL_CRC(lttng_id_tracker_lookup, 0xfbf4a533, "_gpl");
SYMBOL_CRC(lttng_strlen_user_inatomic, 0xce58fba5, "_gpl");
SYMBOL_CRC(lttng_add_cgroup_ns_to_ctx, 0xae2a7515, "_gpl");
SYMBOL_CRC(lttng_add_ipc_ns_to_ctx, 0xaf26f579, "_gpl");
SYMBOL_CRC(lttng_add_mnt_ns_to_ctx, 0x94e76e16, "_gpl");
SYMBOL_CRC(lttng_add_net_ns_to_ctx, 0xd9e77626, "_gpl");
SYMBOL_CRC(lttng_add_pid_ns_to_ctx, 0xa2d05f7d, "_gpl");
SYMBOL_CRC(lttng_add_user_ns_to_ctx, 0x48bfc409, "_gpl");
SYMBOL_CRC(lttng_add_uts_ns_to_ctx, 0x11630e23, "_gpl");
SYMBOL_CRC(lttng_add_time_ns_to_ctx, 0x750af85a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xa4cad7c3, "lttng_kretprobes_destroy_private" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x34476a88, "tracepoint_probe_unregister" },
	{ 0x39884ff6, "get_user_pages_fast" },
	{ 0x7ba3859a, "lib_ring_buffer_put_current_record" },
	{ 0xd57eadb2, "try_module_get" },
	{ 0xe5ca2456, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6f2adb4b, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc56663f4, "lib_ring_buffer_open" },
	{ 0xee4af482, "lttng_kretprobes_event_enable_state" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe1ca974e, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x77f60155, "perf_event_create_kernel_counter" },
	{ 0xb927ad1, "lttng_kprobes_destroy_event_notifier_private" },
	{ 0xdf17da97, "task_active_pid_ns" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xefa2c27d, "register_tracepoint_module_notifier" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4430d043, "irq_work_queue" },
	{ 0x57acbb83, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7a36f403, "lib_ring_buffer_ioctl" },
	{ 0xc2007e6a, "lttng_kprobes_register_event" },
	{ 0x37a0cba, "kfree" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xca100241, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x853e3724, "__put_devmap_managed_page_refs" },
	{ 0x350c478, "proc_create_data" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x88adb634, "__wake_up" },
	{ 0x48152470, "kmem_cache_create" },
	{ 0xbc072131, "lttng_clock_unref" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xeea3e262, "lttng_uprobes_destroy_event_private" },
	{ 0x7f91c7fd, "lttng_cpuhp_rb_frontend_dead" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x84d63120, "wrapper_get_bootid" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fb4ff4f, "kmalloc_node_trace" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a53bd5a, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x4d15b92c, "lib_ring_buffer_switch_slow" },
	{ 0xc40a13ae, "module_put" },
	{ 0xe6fffa93, "lib_ring_buffer_compat_ioctl" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x52f30bf0, "lttng_clock_ref" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe5b7f170, "__task_pid_nr_ns" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa572006f, "fput" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x974c1f8c, "lib_ring_buffer_mmap" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5fb067a, "lttng_uprobes_unregister_event" },
	{ 0x457663cb, "lttng_cpuhp_rb_frontend_online" },
	{ 0xe207b7d0, "mutex_lock" },
	{ 0xd3625834, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0xc677147e, "lttng_last_tsc" },
	{ 0xd37d9e5d, "lttng_kretprobes_register" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x29483233, "lttng_statedump_start" },
	{ 0xd5f9df36, "lttng_kprobes_unregister_event" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x817fd72, "lib_ring_buffer_release" },
	{ 0x4e714e9b, "lttng_rb_set_hp_online" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xd0d2a74, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0x991f1b68, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x589788b1, "wrapper_get_pfnblock_flags_mask_init" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4de0e743, "pv_ops" },
	{ 0x77efd3d2, "seq_read" },
	{ 0x4aec8a3b, "irq_work_sync" },
	{ 0x999e8297, "vfree" },
	{ 0x9c38a467, "vfs_lib_ring_buffer_no_llseek" },
	{ 0x6c216342, "lib_ring_buffer_file_operations" },
	{ 0x3b16c02e, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa427b25e, "init_user_ns" },
	{ 0xf74b2b5a, "lib_ring_buffer_get_next_record" },
	{ 0x2776a3e5, "lib_ring_buffer_nesting" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9d5acc59, "lib_ring_buffer_switch_remote" },
	{ 0x53813557, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcf4a2ba, "remove_proc_entry" },
	{ 0x94e83a65, "lib_ring_buffer_set_quiescent_channel" },
	{ 0xec6a8ae6, "seq_printf" },
	{ 0xe0de739a, "__lib_ring_buffer_copy_to_user" },
	{ 0x2f677481, "lttng_uprobes_event_add_callsite" },
	{ 0x7f03f1e6, "lttng_uprobes_register_event_notifier" },
	{ 0x7dda30af, "unregister_tracepoint_module_notifier" },
	{ 0xce010fbd, "lttng_kprobes_register_event_notifier" },
	{ 0x10630164, "boot_cpu_data" },
	{ 0xb0a292a5, "lttng_uprobes_unregister_event_notifier" },
	{ 0xd1bab0d0, "lttng_trace_clock" },
	{ 0x2c8748b7, "lttng_cpuhp_rb_iter_online" },
	{ 0x36c02035, "lttng_kprobes_unregister_event_notifier" },
	{ 0xd7f06759, "lttng_rb_set_hp_prepare" },
	{ 0x4be02e7, "lttng_kretprobes_unregister" },
	{ 0xbde18153, "seq_open" },
	{ 0xca1c66db, "lib_ring_buffer_clear_quiescent_channel" },
	{ 0xe0a018d2, "from_kuid_munged" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x5c601bf7, "lttng_cpuhp_rb_frontend_offline" },
	{ 0x84028bdf, "perf_event_release_kernel" },
	{ 0x6d7f0f26, "lib_ring_buffer_splice_read" },
	{ 0x754d539c, "strlen" },
	{ 0xe164b3e8, "lttng_cpuhp_rb_backend_prepare" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb4724de, "lttng_kprobes_destroy_event_private" },
	{ 0x4ef5431f, "lttng_uprobes_destroy_event_notifier_private" },
	{ 0xc73e21e0, "for_each_kernel_tracepoint" },
	{ 0xd1c76893, "wrapper_kallsyms_lookup_name" },
	{ 0x3ace05c7, "__mutex_rt_init" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf426d074, "lttng_uprobes_register_event" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xb3c75b78, "tracepoint_probe_register" },
	{ 0x9400e308, "kmem_cache_destroy" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "lttng-kretprobes,lttng-lib-ring-buffer,lttng-kprobes,lttng-clock,lttng-uprobes,lttng-wrapper,lttng-statedump");


MODULE_INFO(srcversion, "FC0B93B48A1DE9C6E4470E7");

MODULE_INFO(suserelease, "ALP-0.1");
