#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(lttng_cpuhp_rb_backend_prepare, 0xe164b3e8, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_write, 0x1d5a1839, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_memset, 0x3e75afff, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_strcpy, 0x1817c254, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_pstrcpy, 0xb2cd6817, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_copy_from_user_inatomic, 0xc0e806ef, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_strcpy_from_user_inatomic, 0xb4bc4708, "_gpl");
SYMBOL_CRC(_lib_ring_buffer_pstrcpy_from_user_inatomic, 0xc68c722a, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read, 0x6a81f4cc, "_gpl");
SYMBOL_CRC(__lib_ring_buffer_copy_to_user, 0xe0de739a, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read_cstr, 0xae36218b, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read_get_pfn, 0xeae7929e, "_gpl");
SYMBOL_CRC(lib_ring_buffer_read_offset_address, 0xa0f33487, "_gpl");
SYMBOL_CRC(lib_ring_buffer_offset_address, 0x1642a2c0, "_gpl");
SYMBOL_CRC(lib_ring_buffer_nesting, 0x2776a3e5, "");
SYMBOL_CRC(lib_ring_buffer_reset, 0x9f942697, "_gpl");
SYMBOL_CRC(channel_reset, 0xaa80fccd, "_gpl");
SYMBOL_CRC(lttng_rb_set_hp_prepare, 0xd7f06759, "_gpl");
SYMBOL_CRC(lttng_rb_set_hp_online, 0x4e714e9b, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_frontend_dead, 0x7f91c7fd, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_frontend_online, 0x457663cb, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_frontend_offline, 0x5c601bf7, "_gpl");
SYMBOL_CRC(lib_ring_buffer_set_quiescent_channel, 0x94e83a65, "_gpl");
SYMBOL_CRC(lib_ring_buffer_clear_quiescent_channel, 0xca1c66db, "_gpl");
SYMBOL_CRC(channel_create, 0xe28b8642, "_gpl");
SYMBOL_CRC(channel_destroy, 0x5cde8181, "_gpl");
SYMBOL_CRC(channel_get_ring_buffer, 0xed4495be, "_gpl");
SYMBOL_CRC(lib_ring_buffer_open_read, 0x01053cd5, "_gpl");
SYMBOL_CRC(lib_ring_buffer_release_read, 0xa53dd1c9, "_gpl");
SYMBOL_CRC(lib_ring_buffer_snapshot, 0x24ab6c6d, "_gpl");
SYMBOL_CRC(lib_ring_buffer_move_consumer, 0x38429a2f, "_gpl");
SYMBOL_CRC(lib_ring_buffer_get_subbuf, 0x8acfa652, "_gpl");
SYMBOL_CRC(lib_ring_buffer_put_subbuf, 0xa4e8819d, "_gpl");
SYMBOL_CRC(lib_ring_buffer_switch_slow, 0x4d15b92c, "_gpl");
SYMBOL_CRC(lib_ring_buffer_switch_remote, 0x9d5acc59, "_gpl");
SYMBOL_CRC(lib_ring_buffer_switch_remote_empty, 0xa06f12f9, "_gpl");
SYMBOL_CRC(lib_ring_buffer_clear, 0x79d1e4d4, "_gpl");
SYMBOL_CRC(lib_ring_buffer_lost_event_too_big, 0xe997bd3e, "_gpl");
SYMBOL_CRC(lib_ring_buffer_reserve_slow, 0x2be96871, "_gpl");
SYMBOL_CRC(lib_ring_buffer_check_deliver_slow, 0xa7638dbf, "_gpl");
SYMBOL_CRC(lib_ring_buffer_get_next_record, 0xf74b2b5a, "_gpl");
SYMBOL_CRC(lib_ring_buffer_put_current_record, 0x7ba3859a, "_gpl");
SYMBOL_CRC(channel_get_next_record, 0x69bb0674, "_gpl");
SYMBOL_CRC(lttng_cpuhp_rb_iter_online, 0x2c8748b7, "_gpl");
SYMBOL_CRC(lib_ring_buffer_iterator_open, 0x60f30ff6, "_gpl");
SYMBOL_CRC(lib_ring_buffer_iterator_release, 0x7b706fc5, "_gpl");
SYMBOL_CRC(channel_iterator_open, 0xd0d4d99e, "_gpl");
SYMBOL_CRC(channel_iterator_release, 0x3e09bee2, "_gpl");
SYMBOL_CRC(channel_payload_file_operations, 0xb78e2ca6, "_gpl");
SYMBOL_CRC(lib_ring_buffer_payload_file_operations, 0xe0b73515, "_gpl");
SYMBOL_CRC(lib_ring_buffer_open, 0xc56663f4, "_gpl");
SYMBOL_CRC(lib_ring_buffer_release, 0x0817fd72, "_gpl");
SYMBOL_CRC(lib_ring_buffer_poll, 0x2319b492, "_gpl");
SYMBOL_CRC(lib_ring_buffer_ioctl, 0x7a36f403, "_gpl");
SYMBOL_CRC(lib_ring_buffer_compat_ioctl, 0xe6fffa93, "_gpl");
SYMBOL_CRC(lib_ring_buffer_file_operations, 0x6c216342, "_gpl");
SYMBOL_CRC(vfs_lib_ring_buffer_no_llseek, 0x9c38a467, "_gpl");
SYMBOL_CRC(lib_ring_buffer_splice_read, 0x6d7f0f26, "_gpl");
SYMBOL_CRC(vfs_lib_ring_buffer_splice_read, 0xfdee93ec, "_gpl");
SYMBOL_CRC(lib_ring_buffer_mmap, 0x974c1f8c, "_gpl");
SYMBOL_CRC(vfs_lib_ring_buffer_mmap, 0x1e7ca28b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88adb634, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x2874d975, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xa0eae826, "smp_call_function" },
	{ 0x618911fc, "numa_node" },
	{ 0x5417537b, "__free_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4561ca7, "generic_pipe_buf_get" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xf7bd1e2c, "down_write" },
	{ 0x6d4ce75, "up_write" },
	{ 0x5caa71f7, "generic_pipe_buf_try_steal" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd1cbc23c, "add_timer_on" },
	{ 0x5792f848, "strlcpy" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x9c0dd687, "__alloc_pages" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x18e73e97, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d465adf, "nonseekable_open" },
	{ 0x68a12ab8, "rep_movs_alternative" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4aec8a3b, "irq_work_sync" },
	{ 0xe821667a, "atomic_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x785a93b4, "si_mem_available" },
	{ 0x4073273b, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6fc2c3a6, "kmalloc_caches" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6228c21f, "smp_call_function_single" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9c6d8618, "rt_mutex_base_init" },
	{ 0x91d60580, "finish_wait" },
	{ 0x4430d043, "irq_work_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xad60b3fc, "pcpu_hot" },
	{ 0xf5fbbef0, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3e330aeb, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CC55C0A28F085F72DA1078");

MODULE_INFO(suserelease, "ALP-0.1");
